<ion-view view-title="Minha Conta" cache-view="false">
    <ion-nav-buttons side="right">
        <button class="button icon-right feather icon-power button-clear header-btn" ng-click="confirmLogout();"></button>
    </ion-nav-buttons>
    <ion-content class="myAccount">
        <div class="row photo-bg-account">
            <div class="col col-33 photo-account">
                <div class="profile-account" style="background: url('{{selprofilepic}}');background-position: center;background-size: cover;">
                	<label class="fileContainer">
	                    <button ng-click="updateProfilePicture('perfil');">
	                        <i class="icon-edit-2"></i>
	                    </button>
	                </label>
                </div>
                <!-- <img class="profile-account" ng-src="{{selprofilepic | randomSrc}}" fallback-src="img/emptyavatar.jpg"/> -->

            </div>
            <div class="col col-66 profile-terms">
            	<p>Perfil de Ajudante</p>
            	<form action="">
            		<ul>
            			<li><label class = "checkbox"><input type ="checkbox" ng-checked="profiledata.isHelper == 1" name="isHelper" ng-model="isHelper" ng-click="setHelper(isHelper)"></label></li>
            			<li>Quero ser notificado toda vez que houver uma nova publicação no feed do meu estado atual.</li>
            		</ul>
            	</form>
            </div>
        </div>
        <div class="row estatisticas text-center">
			<div class = "col">
				<h2>{{qtdSolutions}}</h2>
				<p>Soluções Aprovadas</p>
			</div>
			<div class = "col">
				<h2>{{qtdLikeSolution}}</h2>
				<p>Curtidas nas soluções</p>
			</div>
			<div class = "col">
				<h2>{{qtdPosts}}</h2>
				<p>Publicações<br>no feed</p>
			</div>
		</div>
       <div class="row infos-profile">
            <div class="col col-12">
            	<h2>Informações Pessoais</h2>
				<div class="stats">
	            	<div class="row" ng-click="editInfo('name')">
	            		<div class="col" style="margin-top: 0px;">
	            			<p>Seu Nome</p>
	            		</div>
	            		<div class="col name text-right" style="margin-top: 0px;">
	            			<a href="">{{profiledata.name}}<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
					<div class="row" ng-click="editInfo('CPF')">
	            		<div class="col">
	            			<p>CPF</p>
	            		</div>
	            		<div class="col name text-right">
	            			<a href="" ng-show="profiledata.CPF.length > 0">{{profiledata.CPF}}<i class="icon-chevron-right"></i></a>
	            			<a href="" ng-hide="profiledata.CPF.length > 0">Não Informado<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
	            	<div class="row" ng-click="editInfo('date_birthday')">
	            		<div class="col">
	            			<p>Data de Nascimento</p>
	            		</div>
	            		<div class="col name text-right">
	            			<a href="" ng-show="profiledata.date_birthday.length > 0">{{profiledata.date_birthday | date:'dd/MM/yyyy'}} <i class="icon-chevron-right"></i></a>
	            			<a href="" ng-hide="profiledata.date_birthday.length > 0">Não Informado<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
	            	<div class="row" ng-click="editInfo('email')">
	            		<div class="col col-25">
	            			<p>E-mail</p>
	            		</div>
	            		<div class="col col-75 name text-right">
	            			<a href="">{{profiledata.email}}<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
	            	<div class="row" ng-click="editInfo('phone')">
	            		<div class="col col-25">
	            			<p>Telefone</p>
	            		</div>
	            		<div class="col col-75 name text-right">
	            			<a href="" ng-show="profiledata.phone.length > 0">{{profiledata.phone}}<i class="icon-chevron-right"></i></a>
                            <a href="" ng-hide="profiledata.phone.length > 0">Não Informado<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
	            	<div class="row" ng-click="editInfo('password')" ng-show="!profiledata.facebook_id">
	            		<div class="col">
	            			<p>Senha</p>
	            		</div>
	            		<div class="col name text-right">
	            			<a href="">******<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
            	</div>
            </div>
        </div>
        <div class="row infos-profile" style="margin-bottom: 50px;">
            <div class="col col-12">
            	<h2>Informações Profissionais</h2>
				<div class="stats">
                    <div class="row" ng-click="editInfo('business_name')">
                        <div class="col" style="margin-top: 0px;">
                            <p>Nome da empresa</p>
                        </div>
                        <div class="col name text-right" style="margin-top: 0px;">
                            <a href="" ng-show="profiledata.business_name.length > 0">{{profiledata.business_name}}<i class="icon-chevron-right"></i></a>
                            <a href="" ng-hide="profiledata.business_name.length > 0">Ainda não sabemos<i class="icon-chevron-right"></i></a>
                        </div>
                    </div>
                    <div class="row" ng-click="editInfo('CNPJ')">
                        <div class="col">
                            <p>CNPJ</p>
                        </div>
                        <div class="col name text-right">
                            <a href="" ng-show="profiledata.CNPJ.length > 0">{{profiledata.CNPJ}}<i class="icon-chevron-right"></i></a>
                            <a href="" ng-hide="profiledata.CNPJ.length > 0">Não Informado<i class="icon-chevron-right"></i></a>
                        </div>
                    </div>
	            	<div class="row" ng-click="editInfo('address')">
	            		<div class="col" style="margin-top: 0px;">
	            			<p>Seu endereço comercial</p>
	            		</div>
	            		<div class="col name text-right" style="margin-top: 0px;">
	            			<a href="" ng-show="profiledata.address.length > 0">{{profiledata.address}}<i class="icon-chevron-right"></i></a>
	            			<a href="" ng-hide="profiledata.address.length > 0">Ainda não sabemos<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
	            	<div class="row" ng-click="editInfo('job')">
	            		<div class="col">
	            			<p>Sua profissão</p>
	            		</div>
	            		<div class="col name text-right">
	            			<a href="" ng-show="profiledata.job.length > 0">{{profiledata.job}}<i class="icon-chevron-right"></i></a>
	            			<a href="" ng-hide="profiledata.job.length > 0">Ainda não sabemos<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
	            	<div class="row" ng-click="editInfo('salary')">
	            		<div class="col">
	            			<p>Média Salarial</p>
	            		</div>
	            		<div class="col name text-right">
	            			<a href="" ng-show="profiledata.salary.length > 0">R$ {{profiledata.salary | BR_money}}<i class="icon-chevron-right"></i></a>
							<a href="" ng-hide="profiledata.salary.length > 0">R$ 0<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
	            	<div class="row" ng-click="editInfo('hour_value')">
	            		<div class="col col-66">
	            			<p>Valor cobrado por hora</p>
	            		</div>
	            		<div class="col name text-right">
	            			<a href="" ng-show="profiledata.hour_value.length > 0">R$ {{profiledata.hour_value | BR_money}}<i class="icon-chevron-right"></i></a>
	            			<a href="" ng-hide="profiledata.hour_value.length > 0">R$ 0<i class="icon-chevron-right"></i></a>
	            		</div>
	            	</div>
            	</div>
            </div>
        </div>
        <div class="row infos-profile" style="margin-bottom: 50px;">
            <div class="col col-12">
            	<h2>Seu logotipo</h2>
				<div class="stats text-center">
					<h4>Visualize seu logotipo:</h4>
					<div class="box-logo-profile col-50">
						<img src="{{logo}}" alt="Logo" width="75%">
						<button ng-click="updateProfilePicture('logo');">
	                        <i class="icon-edit-2"></i>
	                    </button>
					</div>
					<div class="box-logo-description col-80 text-left">
						<p>*O seu logotipo será exibido na impressão dos seus orçamentos, por isso, lembre-se de salvar em uma qualidade boa!</p>
					</div>
            	</div>
            </div>
        </div>
    </ion-content>
</ion-view>
